
// JCompiler0.java
// Andrew Davison, July 2007, ad@fivedots.coe.psu.ac.th

/* Mimic javac.
   Uses the Compiler API and javac compiler.
*/


import javax.tools.*;


public class JCompiler0
{
  public static void main(String[] args) 
  {
    JavaCompiler compiler = ToolProvider.getSystemJavaCompiler();
       // access the compiler provided with this JRE
    if (compiler == null)
      System.out.println("Compiler not found");
    else {
      int result = compiler.run(null, null, null, args);
                               // in, out, err streams
      if(result == 0)
        System.out.println("Compilation Succeeded");
      else
        System.out.println("Compilation Failed");
    }
  }  // end of main()

} // end of JCompiler0 class
